net.minecraft.src

## Class ModLoader

- java.lang.Object
- - net.minecraft.src.ModLoader

- Deprecated.

      @Deprecated
      public class ModLoader
      extends Object

  ModLoader support is officially deprecated, to be removed with 1.7.
  Author:
    cpw

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `fmlMarker` Deprecated.
    `static Map<String,Map<String,String>>` | `localizedStrings` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModLoader()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAchievementDesc(Achievement achievement, String name, String description)` Deprecated.
    `static int` | `addAllFuel(int id, int metadata)` Deprecated.
    `static void` | `addAllRenderers(Map<Class<? extends Entity>,Render> renderers)` Deprecated.
    `static int` | `addArmor(String armor)` Deprecated.
    `static void` | `addBiome(BiomeGenBase biome)` Deprecated.
    `static void` | `addCommand(ICommand command)` Deprecated.
    `static void` | `addDispenserBehavior(Item item, IBehaviorDispenseItem behavior)` Deprecated.
    `static void` | `addEntityTracker(BaseMod mod, Class<? extends Entity> entityClass, int entityTypeId, int updateRange, int updateInterval, boolean sendVelocityInfo)` Deprecated.
    `static void` | `addLocalization(String key, String value)` Deprecated.
    `static void` | `addLocalization(String key, String lang, String value)` Deprecated.
    `static void` | `addName(Object instance, String name)` Deprecated.
    `static void` | `addName(Object instance, String lang, String name)` Deprecated.
    `static int` | `addOverride(String fileToOverride, String fileToAdd)` Deprecated.
    `static void` | `addOverride(String path, String overlayPath, int index)` Deprecated.
    `static void` | `addRecipe(ItemStack output, Object... params)` Deprecated.
    `static void` | `addShapelessRecipe(ItemStack output, Object... params)` Deprecated.
    `static void` | `addSmelting(int input, ItemStack output)` Deprecated.
    `static void` | `addSmelting(int input, ItemStack output, float experience)` Deprecated.
    `static void` | `addSpawn(Class<? extends EntityLiving> entityClass, int weightedProb, int min, int max, EnumCreatureType spawnList)` Deprecated.
    `static void` | `addSpawn(Class<? extends EntityLiving> entityClass, int weightedProb, int min, int max, EnumCreatureType spawnList, BiomeGenBase... biomes)` Deprecated.
    `static void` | `addSpawn(String entityName, int weightedProb, int min, int max, EnumCreatureType spawnList)` Deprecated.
    `static void` | `addSpawn(String entityName, int weightedProb, int min, int max, EnumCreatureType spawnList, BiomeGenBase... biomes)` Deprecated.
    `static void` | `addTrade(int profession, TradeEntry entry)` Deprecated.
    `static void` | `clientSendPacket(Packet packet)` Deprecated.
    `static boolean` | `dispenseEntity(World world, double x, double y, double z, int xVel, int zVel, ItemStack item)` Deprecated.
    `static void` | `genericContainerRemoval(World world, int x, int y, int z)` Deprecated.
    `static List<BaseMod>` | `getLoadedMods()` Deprecated.
    `static Logger` | `getLogger()` Deprecated.
    `static Minecraft` | `getMinecraftInstance()` Deprecated.
    `static MinecraftServer` | `getMinecraftServerInstance()` Deprecated.
    `static <T,E> T` | `getPrivateValue(Class<? super E> instanceclass, E instance, int fieldindex)` Deprecated.
    `static <T,E> T` | `getPrivateValue(Class<? super E> instanceclass, E instance, String field)` Deprecated.
    `static int` | `getUniqueBlockModelID(BaseMod mod, boolean inventoryRenderer)` Deprecated.
    `static int` | `getUniqueEntityId()` Deprecated.
    `static int` | `getUniqueSpriteIndex(String path)` Deprecated.
    `static boolean` | `isChannelActive(EntityPlayer player, String channel)` Deprecated.
    `static boolean` | `isGUIOpen(Class<? extends GuiScreen> gui)` Deprecated.
    `static boolean` | `isModLoaded(String modname)` Deprecated.
    `static void` | `loadConfig()` Deprecated.
    `static void` | `onItemPickup(EntityPlayer player, ItemStack item)` Deprecated.
    `static void` | `onTick(float tick, Minecraft game)` Deprecated.
    `static void` | `openGUI(EntityPlayer player, GuiScreen gui)` Deprecated.
    `static void` | `populateChunk(IChunkProvider generator, int chunkX, int chunkZ, World world)` Deprecated.
    `static void` | `receivePacket(Packet250CustomPayload packet)` Deprecated.
    `static KeyBinding[]` | `registerAllKeys(KeyBinding[] keys)` Deprecated.
    `static void` | `registerBlock(Block block)` Deprecated.
    `static void` | `registerBlock(Block block, Class<? extends ItemBlock> itemclass)` Deprecated.
    `static void` | `registerContainerID(BaseMod mod, int id)` Deprecated.
    `static void` | `registerEntityID(Class<? extends Entity> entityClass, String entityName, int id)` Deprecated.
    `static void` | `registerEntityID(Class<? extends Entity> entityClass, String entityName, int id, int background, int foreground)` Deprecated.
    `static void` | `registerKey(BaseMod mod, KeyBinding keyHandler, boolean allowRepeat)` Deprecated.
    `static void` | `registerPacketChannel(BaseMod mod, String channel)` Deprecated.
    `static void` | `registerTileEntity(Class<? extends TileEntity> tileEntityClass, String id)` Deprecated.
    `static void` | `registerTileEntity(Class<? extends TileEntity> tileEntityClass, String id, TileEntitySpecialRenderer renderer)` Deprecated.
    `static void` | `removeBiome(BiomeGenBase biome)` Deprecated.
    `static void` | `removeSpawn(Class<? extends EntityLiving> entityClass, EnumCreatureType spawnList)` Deprecated.
    `static void` | `removeSpawn(Class<? extends EntityLiving> entityClass, EnumCreatureType spawnList, BiomeGenBase... biomes)` Deprecated.
    `static void` | `removeSpawn(String entityName, EnumCreatureType spawnList)` Deprecated.
    `static void` | `removeSpawn(String entityName, EnumCreatureType spawnList, BiomeGenBase... biomes)` Deprecated.
    `static boolean` | `renderBlockIsItemFull3D(int modelID)` Deprecated.
    `static void` | `renderInvBlock(RenderBlocks renderer, Block block, int metadata, int modelID)` Deprecated.
    `static boolean` | `renderWorldBlock(RenderBlocks renderer, IBlockAccess world, int x, int y, int z, Block block, int modelID)` Deprecated.
    `static void` | `saveConfig()` Deprecated.
    `static void` | `sendPacket(Packet packet)` Deprecated.
    `static void` | `serverChat(String text)` Deprecated.
    `static void` | `serverLogin(NetClientHandler handler, Packet1Login loginPacket)` Deprecated.
    `static void` | `serverOpenWindow(EntityPlayerMP player, Container container, int ID, int x, int y, int z)` Deprecated.
    `static void` | `serverSendPacket(NetServerHandler handler, Packet packet)` Deprecated.
    `static void` | `setInGameHook(BaseMod mod, boolean enable, boolean useClock)` Deprecated.
    `static void` | `setInGUIHook(BaseMod mod, boolean enable, boolean useClock)` Deprecated.
    `static <T,E> void` | `setPrivateValue(Class<? super T> instanceclass, T instance, int fieldindex, E value)` Deprecated.
    `static <T,E> void` | `setPrivateValue(Class<? super T> instanceclass, T instance, String field, E value)` Deprecated.
    `static void` | `takenFromCrafting(EntityPlayer player, ItemStack item, IInventory matrix)` Deprecated.
    `static void` | `takenFromFurnace(EntityPlayer player, ItemStack item)` Deprecated.
    `static void` | `throwException(String message, Throwable e)` Deprecated.
    `static void` | `throwException(Throwable e)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fmlMarker

          public static final String fmlMarker

      Deprecated.
      See Also:
        Constant Field Values

    - #### localizedStrings

          @Deprecated
          public static final Map<String,Map<String,String>> localizedStrings

      Deprecated.

  - ### Constructor Detail

    - #### ModLoader

          public ModLoader()

      Deprecated.

  - ### Method Detail

    - #### addAchievementDesc

          @Deprecated
          public static void addAchievementDesc(Achievement achievement,
                                           String name,
                                           String description)

      Deprecated.
      Adds localization info for an achievement, Not used on the server.
      Parameters:
        `achievement` - The achievement to name
        `name` - The name
        `description` - The description

    - #### addAllFuel

          @Deprecated
          public static int addAllFuel(int id,
                                  int metadata)

      Deprecated.
      This method is a call in hook from modified external code. Implemented elsewhere. `GameRegistry.getFuelValue(ItemStack)`
      Parameters:
        `id` - The Item ID
        `metadata` - The Item Metadata
      Returns:
        The fuel strength, in ticks, 0 if unhandled

    - #### addAllRenderers

          @Deprecated
          public static void addAllRenderers(Map<Class<? extends Entity>,Render> renderers)

      Deprecated.

    - #### addArmor

          @Deprecated
          public static int addArmor(String armor)

      Deprecated.
      Adds a new prefix to the armor texture list `RenderingRegistry.addNewArmourRendererPrefix(String)`
      Parameters:
        `armor` - The new armor prefix
      Returns:
        The new armor index

    - #### addBiome

          @Deprecated
          public static void addBiome(BiomeGenBase biome)

      Deprecated.
      This method adds the supplied biome to the set of candidate biomes for the default world generator type.
      Parameters:
        `biome` - The biome to add

    - #### addEntityTracker

          @Deprecated
          public static void addEntityTracker(BaseMod mod,
                                         Class<? extends Entity> entityClass,
                                         int entityTypeId,
                                         int updateRange,
                                         int updateInterval,
                                         boolean sendVelocityInfo)

      Deprecated.

    - #### addCommand

          @Deprecated
          public static void addCommand(ICommand command)

      Deprecated.

    - #### addDispenserBehavior

          @Deprecated
          public static void addDispenserBehavior(Item item,
                                             IBehaviorDispenseItem behavior)

      Deprecated.
      Add a behaviour to the dispenser
      Parameters:
        `item` -
        `behavior` -

    - #### addLocalization

          @Deprecated
          public static void addLocalization(String key,
                                        String value)

      Deprecated.
      Add localization for the specified string
      Parameters:
        `key` - Key
        `value` - Value

    - #### addLocalization

          @Deprecated
          public static void addLocalization(String key,
                                        String lang,
                                        String value)

      Deprecated.
      Add localization for the specified string
      Parameters:
        `key` - Key
        `lang` - Language identifier
        `value` - Value

    - #### addName

          @Deprecated
          public static void addName(Object instance,
                                String name)

      Deprecated.
      Name the specified minecraft object with the supplied name
      Parameters:
        `instance` - Item to name
        `name` - The name to give it

    - #### addName

          @Deprecated
          public static void addName(Object instance,
                                String lang,
                                String name)

      Deprecated.
      Unimplemented on the server as it does not generate names
      Parameters:
        `instance` - Item to name
        `lang` - Languge identifier
        `name` - Name to give it

    - #### addOverride

          @Deprecated
          public static int addOverride(String fileToOverride,
                                   String fileToAdd)

      Deprecated.
      Attempts to register a small image to be applied to a larger texture image, typically how old ModLoader mods add custom Item/Block textures. Forge mods should use setTextureFile in Item/Block Will return the icon index it was applied to. Unimplemented on the server as it does not render textures
      Parameters:
        `fileToOverride` - The texture to apply the new image to
        `fileToAdd` - The new image
      Returns:
        The 'icon index' in the main image that the new image will be applied to

    - #### addOverride

          @Deprecated
          public static void addOverride(String path,
                                    String overlayPath,
                                    int index)

      Deprecated.
      Attempts to register a small image to be applied to a larger texture image, typically how old ModLoader mods add custom Item/Block textures. Forge mods should use setTextureFile in Item/Block Unimplemented on the server as it does not render textures
      Parameters:
        `path` - The texture to apply the new image to
        `overlayPath` - The new image
        `index` - Where on the texture to apply it

    - #### addRecipe

          @Deprecated
          public static void addRecipe(ItemStack output,
                                  Object... params)

      Deprecated.
      Add a Shaped Recipe
      Parameters:
        `output` - The result
        `params` - The input

    - #### addShapelessRecipe

          @Deprecated
          public static void addShapelessRecipe(ItemStack output,
                                           Object... params)

      Deprecated.
      Add a shapeless recipe
      Parameters:
        `output` - The result
        `params` - The input

    - #### addSmelting

          @Deprecated
          public static void addSmelting(int input,
                                    ItemStack output)

      Deprecated.
      Add a new product to be smelted
      Parameters:
        `input` -
        `output` -

    - #### addSmelting

          @Deprecated
          public static void addSmelting(int input,
                                    ItemStack output,
                                    float experience)

      Deprecated.
      Add a new product to be smelted
      Parameters:
        `input` -
        `output` -

    - #### addSpawn

          @Deprecated
          public static void addSpawn(Class<? extends EntityLiving> entityClass,
                                 int weightedProb,
                                 int min,
                                 int max,
                                 EnumCreatureType spawnList)

      Deprecated.
      Add a mob to the spawn list
      Parameters:
        `entityClass` -
        `weightedProb` -
        `min` -
        `max` -
        `spawnList` -

    - #### addSpawn

          @Deprecated
          public static void addSpawn(Class<? extends EntityLiving> entityClass,
                                 int weightedProb,
                                 int min,
                                 int max,
                                 EnumCreatureType spawnList,
                                 BiomeGenBase... biomes)

      Deprecated.
      Add a mob to the spawn list
      Parameters:
        `entityClass` -
        `weightedProb` -
        `min` -
        `max` -
        `spawnList` -
        `biomes` -

    - #### addSpawn

          @Deprecated
          public static void addSpawn(String entityName,
                                 int weightedProb,
                                 int min,
                                 int max,
                                 EnumCreatureType spawnList)

      Deprecated.
      Add a mob to the spawn list
      Parameters:
        `entityName` -
        `weightedProb` -
        `min` -
        `max` -
        `spawnList` -

    - #### addSpawn

          @Deprecated
          public static void addSpawn(String entityName,
                                 int weightedProb,
                                 int min,
                                 int max,
                                 EnumCreatureType spawnList,
                                 BiomeGenBase... biomes)

      Deprecated.
      Add a mob to the spawn list
      Parameters:
        `entityName` -
        `weightedProb` -
        `min` -
        `max` -
        `spawnList` -
        `biomes` -

    - #### addTrade

          @Deprecated
          public static void addTrade(int profession,
                                 TradeEntry entry)

      Deprecated.

    - #### clientSendPacket

          @Deprecated
          public static void clientSendPacket(Packet packet)

      Deprecated.
      Send a packet from the client
      Parameters:
        `packet` -

    - #### dispenseEntity

          @Deprecated
          public static boolean dispenseEntity(World world,
                                          double x,
                                          double y,
                                          double z,
                                          int xVel,
                                          int zVel,
                                          ItemStack item)

      Deprecated.
      This method is a call in hook from modified external code. Implemented elsewhere.
      Parameters:
        `world` -
        `x` -
        `y` -
        `z` -
        `xVel` -
        `zVel` -
        `item` -
      Returns:
        Always false, not implemented here

    - #### genericContainerRemoval

          @Deprecated
          public static void genericContainerRemoval(World world,
                                                int x,
                                                int y,
                                                int z)

      Deprecated.
      Remove a container and drop all the items in it on the ground around
      Parameters:
        `world` -
        `x` -
        `y` -
        `z` -

    - #### getLoadedMods

          @Deprecated
          public static List<BaseMod> getLoadedMods()

      Deprecated.
      Get a list of all BaseMod loaded into the system `ModLoaderModContainer.findAll(java.lang.Class<A>)`
      Returns:
        A list containing all loaded ModLoader mods

    - #### getLogger

          @Deprecated
          public static Logger getLogger()

      Deprecated.
      Get a logger instance `FMLCommonHandler.getFMLLogger()`
      Returns:
        The current logger

    - #### getMinecraftInstance

          @Deprecated
          public static Minecraft getMinecraftInstance()

      Deprecated.

    - #### getMinecraftServerInstance

          @Deprecated
          public static MinecraftServer getMinecraftServerInstance()

      Deprecated.

    - #### getPrivateValue

          @Deprecated
          public static <T,E> T getPrivateValue(Class<? super E> instanceclass,
                                           E instance,
                                           int fieldindex)

      Deprecated.
      Get a value from a field using reflection `ObfuscationReflectionHelper.getPrivateValue(Class, Object, int)`
      Parameters:
        `instanceclass` -
        `instance` -
        `fieldindex` -
      Returns:
        The value in the specified field.

    - #### getPrivateValue

          @Deprecated
          public static <T,E> T getPrivateValue(Class<? super E> instanceclass,
                                           E instance,
                                           String field)

      Deprecated.
      Get a value from a field using reflection `ObfuscationReflectionHelper.getPrivateValue(Class, Object, String[])`
      Parameters:
        `instanceclass` -
        `instance` -
        `field` -
      Returns:
        The value in the specified field.

    - #### getUniqueBlockModelID

          @Deprecated
          public static int getUniqueBlockModelID(BaseMod mod,
                                             boolean inventoryRenderer)

      Deprecated.
      Stubbed method on the server to return a unique model id

    - #### getUniqueEntityId

          @Deprecated
          public static int getUniqueEntityId()

      Deprecated.
      Get a new unique entity id `EntityRegistry.findGlobalUniqueEntityId()`
      Returns:
        A unique entity ID

    - #### getUniqueSpriteIndex

          @Deprecated
          public static int getUniqueSpriteIndex(String path)

      Deprecated.

    - #### isChannelActive

          @Deprecated
          public static boolean isChannelActive(EntityPlayer player,
                                           String channel)

      Deprecated.
      To properly implement packet 250 protocol you should always check your channel is active prior to sending the packet
      Parameters:
        `player` -
        `channel` -
      Returns:
        If the channel is registered to the current connection.

    - #### isGUIOpen

          @Deprecated
          public static boolean isGUIOpen(Class<? extends GuiScreen> gui)

      Deprecated.

    - #### isModLoaded

          @Deprecated
          public static boolean isModLoaded(String modname)

      Deprecated.
      Is the named mod loaded? `Loader.isModLoaded(String)`
      Parameters:
        `modname` -
      Returns:
        If the specified mod is loaded

    - #### loadConfig

          @Deprecated
          public static void loadConfig()

      Deprecated.
      Implemented elsewhere

    - #### onItemPickup

          @Deprecated
          public static void onItemPickup(EntityPlayer player,
                                     ItemStack item)

      Deprecated.
      Call in from elsewhere. Unimplemented here.
      Parameters:
        `player` -
        `item` -

    - #### onTick

          @Deprecated
          public static void onTick(float tick,
                               Minecraft game)

      Deprecated.
      Call in from elsewhere. Unimplemented here.

    - #### openGUI

          @Deprecated
          public static void openGUI(EntityPlayer player,
                                GuiScreen gui)

      Deprecated.

    - #### populateChunk

          @Deprecated
          public static void populateChunk(IChunkProvider generator,
                                      int chunkX,
                                      int chunkZ,
                                      World world)

      Deprecated.

    - #### receivePacket

          @Deprecated
          public static void receivePacket(Packet250CustomPayload packet)

      Deprecated.
      This method is a call in hook from modified external code. Implemented elsewhere.
      Parameters:
        `packet` -

    - #### registerAllKeys

          @Deprecated
          public static KeyBinding[] registerAllKeys(KeyBinding[] keys)

      Deprecated.

    - #### registerBlock

          @Deprecated
          public static void registerBlock(Block block)

      Deprecated.
      Register a new block
      Parameters:
        `block` -

    - #### registerBlock

          @Deprecated
          public static void registerBlock(Block block,
                                      Class<? extends ItemBlock> itemclass)

      Deprecated.
      Register a new block
      Parameters:
        `block` -
        `itemclass` -

    - #### registerContainerID

          @Deprecated
          public static void registerContainerID(BaseMod mod,
                                            int id)

      Deprecated.

    - #### registerEntityID

          @Deprecated
          public static void registerEntityID(Class<? extends Entity> entityClass,
                                         String entityName,
                                         int id)

      Deprecated.
      Register a new entity ID
      Parameters:
        `entityClass` -
        `entityName` -
        `id` -

    - #### registerEntityID

          @Deprecated
          public static void registerEntityID(Class<? extends Entity> entityClass,
                                         String entityName,
                                         int id,
                                         int background,
                                         int foreground)

      Deprecated.
      Register a new entity ID
      Parameters:
        `entityClass` -
        `entityName` -
        `id` -
        `background` -
        `foreground` -

    - #### registerKey

          @Deprecated
          public static void registerKey(BaseMod mod,
                                    KeyBinding keyHandler,
                                    boolean allowRepeat)

      Deprecated.

    - #### registerPacketChannel

          @Deprecated
          public static void registerPacketChannel(BaseMod mod,
                                              String channel)

      Deprecated.
      Register the mod for packets on this channel. `NetworkRegistry.registerChannel(IPacketHandler, String)`
      Parameters:
        `mod` -
        `channel` -

    - #### registerTileEntity

          @Deprecated
          public static void registerTileEntity(Class<? extends TileEntity> tileEntityClass,
                                           String id)

      Deprecated.
      Register a new tile entity class
      Parameters:
        `tileEntityClass` -
        `id` -

    - #### registerTileEntity

          @Deprecated
          public static void registerTileEntity(Class<? extends TileEntity> tileEntityClass,
                                           String id,
                                           TileEntitySpecialRenderer renderer)

      Deprecated.

    - #### removeBiome

          @Deprecated
          public static void removeBiome(BiomeGenBase biome)

      Deprecated.
      Remove a biome from the list of generated biomes
      Parameters:
        `biome` -

    - #### removeSpawn

          @Deprecated
          public static void removeSpawn(Class<? extends EntityLiving> entityClass,
                                    EnumCreatureType spawnList)

      Deprecated.
      Remove a spawn
      Parameters:
        `entityClass` -
        `spawnList` -

    - #### removeSpawn

          @Deprecated
          public static void removeSpawn(Class<? extends EntityLiving> entityClass,
                                    EnumCreatureType spawnList,
                                    BiomeGenBase... biomes)

      Deprecated.
      Remove a spawn
      Parameters:
        `entityClass` -
        `spawnList` -
        `biomes` -

    - #### removeSpawn

          @Deprecated
          public static void removeSpawn(String entityName,
                                    EnumCreatureType spawnList)

      Deprecated.
      Remove a spawn
      Parameters:
        `entityName` -
        `spawnList` -

    - #### removeSpawn

          @Deprecated
          public static void removeSpawn(String entityName,
                                    EnumCreatureType spawnList,
                                    BiomeGenBase... biomes)

      Deprecated.
      Remove a spawn
      Parameters:
        `entityName` -
        `spawnList` -
        `biomes` -

    - #### renderBlockIsItemFull3D

          @Deprecated
          public static boolean renderBlockIsItemFull3D(int modelID)

      Deprecated.

    - #### renderInvBlock

          @Deprecated
          public static void renderInvBlock(RenderBlocks renderer,
                                       Block block,
                                       int metadata,
                                       int modelID)

      Deprecated.

    - #### renderWorldBlock

          @Deprecated
          public static boolean renderWorldBlock(RenderBlocks renderer,
                                            IBlockAccess world,
                                            int x,
                                            int y,
                                            int z,
                                            Block block,
                                            int modelID)

      Deprecated.

    - #### saveConfig

          @Deprecated
          public static void saveConfig()

      Deprecated.
      Configuration is handled elsewhere `ModLoaderModContainer`

    - #### sendPacket

          @Deprecated
          public static void sendPacket(Packet packet)

      Deprecated.
      Send a packet from client to server
      Parameters:
        `packet` -

    - #### serverChat

          @Deprecated
          public static void serverChat(String text)

      Deprecated.
      Send a chat message to the server
      Parameters:
        `text` -

    - #### serverLogin

          @Deprecated
          public static void serverLogin(NetClientHandler handler,
                                    Packet1Login loginPacket)

      Deprecated.

    - #### serverSendPacket

          @Deprecated
          public static void serverSendPacket(NetServerHandler handler,
                                         Packet packet)

      Deprecated.

    - #### serverOpenWindow

          @Deprecated
          public static void serverOpenWindow(EntityPlayerMP player,
                                         Container container,
                                         int ID,
                                         int x,
                                         int y,
                                         int z)

      Deprecated.

    - #### setInGameHook

          @Deprecated
          public static void setInGameHook(BaseMod mod,
                                      boolean enable,
                                      boolean useClock)

      Deprecated.
      Indicate that you want to receive ticks
      Parameters:
        `mod` - receiving the events
        `enable` - indicates whether you want to recieve them or not
        `useClock` - don't receive render subticks, just world ticks

    - #### setInGUIHook

          @Deprecated
          public static void setInGUIHook(BaseMod mod,
                                     boolean enable,
                                     boolean useClock)

      Deprecated.

    - #### setPrivateValue

          @Deprecated
          public static <T,E> void setPrivateValue(Class<? super T> instanceclass,
                                              T instance,
                                              int fieldindex,
                                              E value)

      Deprecated.
      Set a private field to a value using reflection `ObfuscationReflectionHelper.setPrivateValue(Class, Object, int, Object)`
      Parameters:
        `instanceclass` -
        `instance` -
        `fieldindex` -
        `value` -

    - #### setPrivateValue

          @Deprecated
          public static <T,E> void setPrivateValue(Class<? super T> instanceclass,
                                              T instance,
                                              String field,
                                              E value)

      Deprecated.
      Set a private field to a value using reflection `ObfuscationReflectionHelper.setPrivateValue(Class, Object, String, Object)`
      Parameters:
        `instanceclass` -
        `instance` -
        `field` -
        `value` -

    - #### takenFromCrafting

          @Deprecated
          public static void takenFromCrafting(EntityPlayer player,
                                          ItemStack item,
                                          IInventory matrix)

      Deprecated.
      This method is a call in hook from modified external code. Implemented elsewhere.
      Parameters:
        `player` -
        `item` -
        `matrix` -

    - #### takenFromFurnace

          @Deprecated
          public static void takenFromFurnace(EntityPlayer player,
                                         ItemStack item)

      Deprecated.
      This method is a call in hook from modified external code. Implemented elsewhere.
      Parameters:
        `player` -
        `item` -

    - #### throwException

          @Deprecated
          public static void throwException(String message,
                                       Throwable e)

      Deprecated.
      Throw the offered exception. Likely will stop the game.
      Parameters:
        `message` -
        `e` -

    - #### throwException

          @Deprecated
          public static void throwException(Throwable e)

      Deprecated.